services:
  app:
    image: xoderockson/xode-wallet-api:latest
    container_name: xode-wallet-api
    env_file:
      - .env
    ports:
      - 3008:3008

  copy-xode-wallet-env:
    image: xoderockson/xode-wallet-api:latest
    container_name: copy-xode-wallet-env
    volumes:
      - /var/www/xgame-apis/xode-wallet-api/.env:/temp/.env
    command: sh -c "cp /temp/.env /app/.env && exit"
